Improve this doc View source

# `pfInlineNotification`
directive in module `patternfly.notification`

## Description

The main visual element of the notification message.

## Usage

as element:

    <pf-inline-notification
           [pf-notification-type="{expression}"]
           [pf-notification-message="{expression}"]
           [pf-notification-header="{expression}"]
           [pf-notification-persistent="{expression}"]>
    </pf-inline-notification>

### Directive info

- This directive creates new scope.

#### Parameters

Param | Type | Details
--- | --- | ---
pfNotificationType (optional) | expression | The type of the notification message. Allowed value is one of these: 'success','info','danger', 'warning'.
pfNotificationMessage (optional) | expression | The main text message of the notification.
pfNotificationHeader (optional) | expression | The header text of the notification.
pfNotificationPersistent (optional) | expression | The notification won't disappear after delay timeout, but has to be closed manually with the close button.

## Example

#### Source

#### Demo